/*
 *
 * Imprime por la salida estndar un fichero del miniafs
 *
 */

#include <sys/types.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>
#include "venusbib.h"

int main (int argc, char *argv[])
{
	int fd;
	char buf[64];
	int cont;

	if (argc != 2) {
		fprintf (stderr, "uso: %s fichero\n", argv[0]);
		exit (1);
	}
	fd=OpenFile(argv[1], O_RDONLY);
	if (fd<0) {
		fprintf(stderr, "error en OpenFile\n");
		exit(1);
	}
	while ((cont=read(fd, buf, 64))>0)
		write(1, buf, cont);

	if (cont<0) 
		fprintf(stderr, "error en read\n");
	
	if (CloseFile(argv[1], fd)<0)
		fprintf(stderr, "error en CloseFile\n");

	return(0);
}
